clang 10.0.0git

Public Types | Public Member Functions | Friends | List of all members
clang::Decl::redecl_iterator Class Reference

Iterates through all the redeclarations of the same decl. More...

`#include "clang/AST/DeclBase.h"`

## Public Types
using | value_type = Decl *
using | reference = const value_type &
using | pointer = const value_type *
using | iterator_category = std::forward_iterator_tag
using | difference_type = std::ptrdiff_t

## Public Member Functions
| redecl_iterator ()=default
| redecl_iterator (Decl *C)
reference | operator* () const
value_type | operator-> () const
redecl_iterator & | operator++ ()
redecl_iterator | operator++ (int)

## Friends
bool | operator== (redecl_iterator x, redecl_iterator y)
bool | operator!= (redecl_iterator x, redecl_iterator y)

## Detailed Description

Iterates through all the redeclarations of the same decl.

Definition at line 902 of file DeclBase.h.

## Member Typedef Documentation

## ◆ difference_type

using clang::Decl::redecl_iterator::difference_type = std::ptrdiff_t

Definition at line 912 of file DeclBase.h.

## ◆ iterator_category

using clang::Decl::redecl_iterator::iterator_category = std::forward_iterator_tag

Definition at line 911 of file DeclBase.h.

## ◆ pointer

using clang::Decl::redecl_iterator::pointer = const value_type *

Definition at line 910 of file DeclBase.h.

## ◆ reference

using clang::Decl::redecl_iterator::reference = const value_type &

Definition at line 909 of file DeclBase.h.

## ◆ value_type

using clang::Decl::redecl_iterator::value_type = Decl *

Definition at line 908 of file DeclBase.h.

## Constructor & Destructor Documentation

## ◆ redecl_iterator() [1/2]

clang::Decl::redecl_iterator::redecl_iterator | ( |  | ) |
| default

## ◆ redecl_iterator() [2/2]

clang::Decl::redecl_iterator::redecl_iterator | ( | Decl * | C | ) |
| inline explicit

Definition at line 915 of file DeclBase.h.

## Member Function Documentation

## ◆ operator*()

reference clang::Decl::redecl_iterator::operator* | ( |  | ) | const
| inline

Definition at line 917 of file DeclBase.h.

## ◆ operator++() [1/2]

redecl_iterator& clang::Decl::redecl_iterator::operator++ | ( |  | ) |
| inline

Definition at line 920 of file DeclBase.h.

## ◆ operator++() [2/2]

redecl_iterator clang::Decl::redecl_iterator::operator++ | ( | int |  | ) |
| inline

Definition at line 929 of file DeclBase.h.

## ◆ operator->()

value_type clang::Decl::redecl_iterator::operator-> | ( |  | ) | const
| inline

Definition at line 918 of file DeclBase.h.

## Friends And Related Function Documentation

## ◆ operator!=

bool operator!= | ( | redecl_iterator | x,
|  | redecl_iterator | y
| ) |  |
| friend

Definition at line 939 of file DeclBase.h.

## ◆ operator==

bool operator== | ( | redecl_iterator | x,
|  | redecl_iterator | y
| ) |  |
| friend

Definition at line 935 of file DeclBase.h.

The documentation for this class was generated from the following file:

- include/clang/AST/DeclBase.h